Package org.eclipse.net4j.util.security

## Class Credentials

- java.lang.Object
- - org.eclipse.net4j.util.security.Credentials

- All Implemented Interfaces:
    `ICredentials`, `IUserAware`
  Direct Known Subclasses:
    `PasswordCredentials`

      public class Credentials
      extends java.lang.Object
      implements ICredentials

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Credentials​(java.lang.String userID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getUserID()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Credentials

          public Credentials​(java.lang.String userID)

  - ### Method Detail

    - #### getUserID

          public java.lang.String getUserID()

      Specified by:
        `getUserID` in interface `IUserAware`